---
title: PannerNode.panningModel
slug: Web/API/PannerNode/panningModel
tags:
  - API
  - PannerNode
  - Property
  - Reference
  - Web Audio API
  - panningModel
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>panningModel</code> property of the {{ domxref("PannerNode") }} interface is an enumerated value determining which spatialisation algorithm to use to position the audio in 3D space.</p>

<p>The possible values are:</p>

<ul>
 <li><code>equalpower</code>: Represents the equal-power panning algorithm, generally regarded as simple and efficient. <font face="Consolas, Liberation Mono, Courier, monospace">equalpower </font>is the default value.</li>
 <li><code>HRTF</code>: Renders a stereo output of higher quality than <code>equalpower</code> — it uses a convolution with measured impulse responses from human subjects.</li>
</ul>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panner = audioCtx.createPanner();
panner.panningModel = 'HRTF';</pre>

<h3 id="Value">Value</h3>

<p>A enum — see <a href="https://webaudio.github.io/web-audio-api/#idl-def-PanningModelType"><code>PanningModelType</code></a>.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-pannernode-panningmodel', 'panningModel')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.panningModel")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
